# Uses of Interface
org.jfree.chart3d.axis.Axis3D

Packages that use Axis3D
Package
Description
org.jfree.chart3d.axis
Axes (`CategoryAxis3D`, `NumberAxis3D` and `LogAxis3D`) plus supporting classes and interfaces.
org.jfree.chart3d.style
Classes for controlling chart styles.

## Uses of Axis3D in org.jfree.chart3d.axis

Subinterfaces of Axis3D in org.jfree.chart3d.axis
Modifier and Type
Interface
Description
`interface`
`CategoryAxis3D`
An axis that displays categories and is used with a `CategoryPlot3D` for the row and column axes.
`interface`
`ValueAxis3D`
An axis that displays a range of continuous values.
Classes in org.jfree.chart3d.axis that implement Axis3D
Modifier and Type
Class
Description
`class`
`AbstractAxis3D`
A base class that can be used to create an `Axis3D` implementation.
`class`
`AbstractValueAxis3D`
A base class for implementing numerical axes.
`class`
`LogAxis3D`
A numerical axis with a logarithmic scale.
`class`
`NumberAxis3D`
A numerical axis for use with 3D plots (implements `ValueAxis3D`).
`class`
`StandardCategoryAxis3D`
An axis that displays categories.
Methods in org.jfree.chart3d.axis that return Axis3D
Modifier and Type
Method
Description
`Axis3D`
Axis3DChangeEvent.`getAxis()`
Returns the axis associated with this event.
Constructors in org.jfree.chart3d.axis with parameters of type Axis3D
Modifier
Constructor
Description
``
`Axis3DChangeEvent(Object source, Axis3D axis, boolean requiresWorldUpdate)`
Creates a new event.
``
`Axis3DChangeEvent(Axis3D axis, boolean requiresWorldUpdate)`
Creates a new event.

## Uses of Axis3D in org.jfree.chart3d.style

Methods in org.jfree.chart3d.style with parameters of type Axis3D
Modifier and Type
Method
Description
`protected void`
ChartStyler.`styleAxis(Axis3D axis)`
Applies the current style to the axis.